'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = haveAllPropertiesLoaded;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _objectValues = require('object.values');

var _objectValues2 = _interopRequireDefault(_objectValues);

/**
 * Helper function for WaitToRenderDecorator and WaitToRenderDecorator.
 * Looks at component properties and decides if the decorated component can be rendered safely.
 */

function haveAllPropertiesLoaded(props) {
  var isLoading = props.isLoading;

  return isLoading === false || isLoading !== true && (0, _objectValues2['default'])(props).filter(function (value) {
    return value === undefined;
  }).length === 0;
}

module.exports = exports['default'];